# ![qim3d logo](assets/qim3d-logo.svg){ width="256" }

`qim3d` is a Python library for quantitative imaging analysis in 3D. It provides functionality for handling data, as well as tools for visualization and analysis.

![Data explorer GUI](assets/screenshots/qim3d-filters_example.png)

## Installation

Creating an `conda` environment is not required but recommended:
```
conda create -n qim3d python=3.11
```
After the environment is created, activate it by running:
```
conda activate qim3d
```

Install the latest stable version by using `pip`:

```
pip install qim3d
```
!!! warning
    Installing `qim3d` may take a bit of time due to its dependencies. Thank you for your patience!


## Contributing
Contributions to `qim3d` are welcome! 

If you find a bug, have a feature request, or would like to contribute code, please open an issue or submit a pull request.

You can find us at Gitlab:
[https://lab.compute.dtu.dk/QIM/tools/qim3d](https://lab.compute.dtu.dk/QIM/tools/qim3d
)

This project is licensed under the MIT License.


## Support

The development of `qim3d` is supported by:

![Novo Nordisk Foundation](https://novonordiskfonden.dk//app/uploads/NNF-INT_logo_tagline_blue_RGB_solid.png){ width="256" }